header image

禁用Firefox附加组件兼容性检查

发现好多人在Firefox更新到新版时都在抱怨插件用不了。

其实有的插件可以去下载测试版,测试版的支持新版Firefox一般都比稳定版快。不过这些测试版在Mozilla的附加组件查找是找不到的,要到插件的官网上去找。比如DownThemAll!、FireBug都会发布测试版。

不过有的附加组件是没有测试版发布的,就算有也不一定跟得上Firefox的新版发布。其实Firefox是可以禁用掉兼容性检查的。

在Firefox地址栏里输入about:config,会有一个警告,确定后就可以看到一堆Firefox的选项值。

在这个页面上点右键,然后选择“新建”、“布尔”,在弹出的对话框中输入extensions.checkCompatibility.版本号。然后下一个对话框中选择false就行。

“版本号”就是当前Firefox的版本号,如5.0、6.0等。

如果是测试版(Beta更新频道和Aurora更新频道)要在后面加上a(alpha)或b(beta),注意后面不要加数字,比如8.0a2这里也要设置为8.0a。

如果是每日构建(Nightly更新频道)版本的,版本号这里只要设置为nightly就行了。

设置好后重启Firefox,看看插件是不是都又可以用了?进入附加组件管理器后,最上面会有提示说兼容性检测被禁用,如果不想禁用了只要点提示中的“启用”就行了。或者在about:config页面中找到上面设置的键值,在上面点右键、“重置”就可以了。

赞赏

微信赞赏支付宝赞赏

2 comments

reply

your email will keep secret. (* required).

you can use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong> .